## iceweasel 38.8.0esr

=== security/nss/external_tests/ssl_gtest/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################


#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include ../../cmd/platlibs.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################


#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

MKPROG = $(CXX)
CFLAGS += -std=c++0x
include ../../cmd/platrules.mk

=== testing/web-platform/tests/conformance-checkers/Makefile ===
HTML2MARKDOWN=html2text
PERL=perl
PERLFLAGS=
FMT=fmt
FMTFLAGS=-80
EXPAND=expand
EXPANDFLAGS=
GIT=git
GITFLAGS=
PYTHON=python
PYTHONFLAGS=
VNU_TEST_REPO=git@github.com:validator/tests.git
ITS_REPO=git@github.com:w3c/its-2.0-testsuite-inputdata.git
.PHONY: .FORCE

all: README.md messages.json

README.md: index.html
	$(HTML2MARKDOWN) $(HTML2MARKDOWNFLAGS) $< \
	    | $(PERL) $(PERLFLAGS) -pe 'undef $$/; s/(\s+\n)+/\n\n/g' \
	    | $(PERL) $(PERLFLAGS) -pe 'undef $$/; s/(\n\n\n)+/\n/g' \
	    | $(FMT) $(FMTFLAGS) \
	    | $(PERL) $(PERLFLAGS) -pe 'undef $$/; s/ +(\[[0-9]+\]:)\n +/\n   $$1 /g' \
	    | $(EXPAND) $(EXPANDFLAGS) > $@

messages.json: .FORCE
	$(PYTHON) $(PYTHONFLAGS) -mjson.tool $@ > $@.tmp
	mv $@.tmp $@

push:
	cd .. \
	  && git push $(VNU_TEST_REPO) `git subtree split -P conformance-checkers`:master --force \
	  && cd -

its-push:
	cd ..\
	  && $(GIT) subtree push -P conformance-checkers/html-its/ $(ITS_REPO) master \
	  && cd -

its-pull:
	cd .. \
	  && $(GIT) pull -s subtree $(ITS_REPO) master \
	  && cd -

=== debian/changelog ===
iceweasel (38.8.0esr-1~deb7u1) oldstable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2016-{39,44,47}, also known as:
    CVE-2016-2807, CVE-2016-2805, CVE-2016-2814, CVE-2016-2808.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Apr 2016 07:56:41 +0900

iceweasel (38.7.1esr-1~deb7u1) oldstable-security; urgency=medium

  * New upstream release.
    - Disables Graphite font shaping library.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Mar 2016 03:13:16 +0900

iceweasel (38.7.0esr-1~deb7u1) oldstable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2016-{16-17,20-21,23-25,27-28,31,34-35,37}, also known as:
    CVE-2016-1952, CVE-2016-1954, CVE-2016-1957, CVE-2016-1958,
    CVE-2016-1960, CVE-2016-1961, CVE-2016-1962, CVE-2016-1964,
    CVE-2016-1965, CVE-2016-1966, CVE-2016-1974, CVE-2016-1950,
    CVE-2016-1977, CVE-2016-2790, CVE-2016-2791, CVE-2016-2792,
    CVE-2016-2793, CVE-2016-2794, CVE-2016-2795, CVE-2016-2796,
    CVE-2016-2797, CVE-2016-2798, CVE-2016-2799, CVE-2016-2800,
    CVE-2016-2801, CVE-2016-2802.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Mar 2016 08:40:01 +0900

iceweasel (38.6.1esr-1~deb7u1) oldstable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2016-14, also known as CVE-2016-1523.

 -- Mike Hommey <glandium@debian.org>  Sun, 14 Feb 2016 15:59:25 +0900

iceweasel (38.6.0esr-1~deb7u1) oldstable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2016-{01,03}, also known as:
    CVE-2016-1930, CVE-2016-1935.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Jan 2016 10:04:51 +0900

iceweasel (38.5.0esr-1~deb8u2) stable-security; urgency=medium

  * security/nss/lib/ckfw/builtins/certdata.txt: Remove the SPI Inc. and
    CAcert.org CA certificates. The former was removed in NSS 3.21-1 and
    the latter in 3.16-1, and remained here largely overlooked.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Dec 2015 17:08:06 +0900

iceweasel (38.5.0esr-1~deb7u1) oldstable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{134,138-139,145-147,149}, also known as:
    CVE-2015-7201, CVE-2015-7210, CVE-2015-7212, CVE-2015-7205,
    CVE-2015-7213, CVE-2015-7222, CVE-2015-7214.

  * debian/rules: Follow upstream default for Gtk+2 vs. Gtk+3 automatically.
  * debian/watch: Update file to use https://archive.mozilla.org/.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Dec 2015 10:19:44 +0900

iceweasel (38.4.0esr-1~deb7u1) oldstable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{116,122-123,127-128,130-133}, also known as:
    CVE-2015-4513, CVE-2015-7188, CVE-2015-7189, CVE-2015-7193,
    CVE-2015-7194, CVE-2015-7196, CVE-2015-7198, CVE-2015-7199,
    CVE-2015-7200, CVE-2015-7197, CVE-2015-7181, CVE-2015-7182,
    CVE-2015-7183.

  * debian/control*: Bump nspr and nss build dependencies.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 Nov 2015 08:52:59 +0900

iceweasel (38.3.0esr-1~deb7u1) oldstable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{96,101,105-106,110-112}, also known as:
    CVE-2015-4500, CVE-2015-4506, CVE-2015-4511, CVE-2015-4509,
    CVE-2015-4519, CVE-2015-4520, CVE-2015-7174.

  * debian/rules, debian/removed_conffiles, debian/browser.postinst.in,
    debian/browser.postrm.in, debian/browser.preinst.in: Remove past conffiles.
    Closes: #795353.

  * config/system-headers: Fix build against latest freetype code. bz#1143411,
    bz#1194520.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Sep 2015 07:53:47 +0900

iceweasel (38.2.1esr-1~deb7u1) oldstable-security; urgency=high

  * New upstream release.
  * Fixes for mfsa2015-{94-95}, also known as:
    CVE-2015-4497, CVE-2015-4498.

  * configure.in: Build libvpx neon code with -mfloat-abi=softfp on armel.
  * media/libjpeg/simd/jsimd_mips_dspr2.S: Fix build error in MIPS SIMD
    when compiling with -mfpxx.

 -- Mike Hommey <glandium@debian.org>  Fri, 28 Aug 2015 18:04:03 +0900

iceweasel (38.2.0esr-2~deb7u1) oldstable-security; urgency=medium

  * debian/rules, debian/upstream.mk: Don't set LESS_SYSTEM_LIBS when
    building a backport for stretch. Closes: #795331.
  * debian/rules, debian/control.in: Force build with GCC 4.7 when
    backporting to wheezy.

  * media/libvpx/moz.build: Build libvpx neon code without -mthumb and
    -mfloat-abi=softfp. Closes: #795337.

 -- Mike Hommey <glandium@debian.org>  Sat, 22 Aug 2015 08:20:35 +0900

iceweasel (38.2.0esr-1~deb7u1) oldstable-security; urgency=high

  * New upstream release.
  * Fixes for mfsa2015-{79-80,82-83,87-90,92}, also known as:
    CVE-2015-4473, CVE-2015-4475, CVE-2015-4478, CVE-2015-4479,
    CVE-2015-4480, CVE-2015-4493, CVE-2015-4484, CVE-2015-4491,
    CVE-2015-4485, CVE-2015-4486, CVE-2015-4487, CVE-2015-4488,
    CVE-2015-4489, CVE-2015-4492.

  * debian/latest_nightly.py, debian/upstream.mk: Modify latest_nightly.py to
    work without ftp now that it's gone.
  * debian/upstream.mk: Switch to HTTPS for all hg.mozilla.org urls.

  * toolkit/components/search/nsSearchService.js: Revert change from 32.0.3-1
    that bumped the search engine max icon size to 35kB because it's not
    needed anymore.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Aug 2015 06:31:23 +0900

=== debian/control ===
Source: iceweasel
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 7.2.3),
               gcc-4.7,
               g++-4.7,
               autoconf2.13,
               libx11-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libgnomevfs2-dev,
               libgnome2-dev,
               libgnomeui-dev,
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev | libreadline5-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libhunspell-dev (>= 1.2),
               libdbus-glib-1-dev,
               libasound2-dev [linux-any],
               libiw-dev [linux-any],
               libnotify-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               mesa-common-dev,
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev,
               libpulse-dev,
               yasm (>= 1.1),
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf | ttf-freefont,
               fonts-dejima-mincho | ttf-dejima-mincho,
               imagemagick,
               librsvg2-bin,
               xsltproc,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.6.0
Vcs-Git: git://anonscm.debian.org/pkg-mozilla/iceweasel.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-mozilla/iceweasel.git

Package: iceweasel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libsqlite3-0 (>= 3.7.12-1~)
Suggests: fonts-stix | otf-stix,
          fonts-oflb-asana-math,
          fonts-mathjax,
          mozplugger,
          libgssapi-krb5-2 | libkrb53,
          libgnomeui-0,
          libcanberra0
Recommends: gstreamer0.10-ffmpeg,
            gstreamer0.10-plugins-good
Conflicts: j2re1.4,
           pango-graphite (<< 0.9.3)
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Web browser based on Firefox
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.

Package: iceweasel-dbg
Architecture: any
Priority: extra
Section: debug
Depends: iceweasel (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the debugging symbols for iceweasel.

Package: iceweasel-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-ply,
         iceweasel (= ${binary:Version})
Conflicts: xulrunner-dev,
           firefox-dev
Description: Development files for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 Install this package if you wish to embed the Gecko engine in your
 program or want to develop XPCOM components.
 .
 This package also provides the Xulrunner Software Development Kit in the
 same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

Package: iceweasel-l10n-all
Architecture: all
Section: localization
Depends: ${misc:Depends}, iceweasel-l10n-ach, iceweasel-l10n-af, iceweasel-l10n-an, iceweasel-l10n-ar, iceweasel-l10n-as, iceweasel-l10n-ast, iceweasel-l10n-az, iceweasel-l10n-be, iceweasel-l10n-bg, iceweasel-l10n-bn-bd, iceweasel-l10n-bn-in, iceweasel-l10n-br, iceweasel-l10n-bs, iceweasel-l10n-ca, iceweasel-l10n-cs, iceweasel-l10n-cy, iceweasel-l10n-da, iceweasel-l10n-de, iceweasel-l10n-dsb, iceweasel-l10n-el, iceweasel-l10n-en-gb, iceweasel-l10n-en-za, iceweasel-l10n-eo, iceweasel-l10n-es-ar, iceweasel-l10n-es-cl, iceweasel-l10n-es-es, iceweasel-l10n-es-mx, iceweasel-l10n-et, iceweasel-l10n-eu, iceweasel-l10n-fa, iceweasel-l10n-ff, iceweasel-l10n-fi, iceweasel-l10n-fr, iceweasel-l10n-fy-nl, iceweasel-l10n-ga-ie, iceweasel-l10n-gd, iceweasel-l10n-gl, iceweasel-l10n-gu-in, iceweasel-l10n-he, iceweasel-l10n-hi-in, iceweasel-l10n-hr, iceweasel-l10n-hsb, iceweasel-l10n-hu, iceweasel-l10n-hy-am, iceweasel-l10n-id, iceweasel-l10n-is, iceweasel-l10n-it, iceweasel-l10n-ja, iceweasel-l10n-kk, iceweasel-l10n-km, iceweasel-l10n-kn, iceweasel-l10n-ko, iceweasel-l10n-lij, iceweasel-l10n-lt, iceweasel-l10n-lv, iceweasel-l10n-mai, iceweasel-l10n-mk, iceweasel-l10n-ml, iceweasel-l10n-mr, iceweasel-l10n-ms, iceweasel-l10n-nb-no, iceweasel-l10n-nl, iceweasel-l10n-nn-no, iceweasel-l10n-or, iceweasel-l10n-pa-in, iceweasel-l10n-pl, iceweasel-l10n-pt-br, iceweasel-l10n-pt-pt, iceweasel-l10n-rm, iceweasel-l10n-ro, iceweasel-l10n-ru, iceweasel-l10n-si, iceweasel-l10n-sk, iceweasel-l10n-sl, iceweasel-l10n-son, iceweasel-l10n-sq, iceweasel-l10n-sr, iceweasel-l10n-sv-se, iceweasel-l10n-ta, iceweasel-l10n-te, iceweasel-l10n-th, iceweasel-l10n-tr, iceweasel-l10n-uk, iceweasel-l10n-uz, iceweasel-l10n-vi, iceweasel-l10n-xh, iceweasel-l10n-zh-cn, iceweasel-l10n-zh-tw
Description: All language packages for Iceweasel (meta)
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This is a metapackage depending on all available localizations of Iceweasel.

Package: iceweasel-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Acoli language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Acoli.

Package: iceweasel-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Afrikaans language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Afrikaans.

Package: iceweasel-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Aragonese language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Aragonese.

Package: iceweasel-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Arabic language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Arabic.

Package: iceweasel-l10n-as
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Assamese language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Assamese.

Package: iceweasel-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Asturian language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Asturian.

Package: iceweasel-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Azerbaijani language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Azerbaijani.

Package: iceweasel-l10n-be
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Belarusian language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Belarusian.

Package: iceweasel-l10n-bg
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Recommends: myspell-bg
Description: Bulgarian language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Bulgarian.

Package: iceweasel-l10n-bn-bd
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Bengali (Bangladesh) language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Bengali (Bangladesh).

Package: iceweasel-l10n-bn-in
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Bengali (India) language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Bengali (India).

Package: iceweasel-l10n-br
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Breton language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Breton.

Package: iceweasel-l10n-bs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
Description: Bosnian language package for Iceweasel
 Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
 with support for modern web application technologies.
 .
 This package contains the localization of Iceweasel in Bosnian.

Package: iceweasel-l10n-ca
Architecture: all
Section: localization
Depends: ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get hardening flags, exclude non-hardening flags,
# and disable read-only relocations.
dpkg_buildflags = $(and $(1),$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-relro DEB_CFLAGS_MAINT_STRIP="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-all dpkg-buildflags --get $(1))" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))

PYTHON := python -B

PRODUCT := browser
PRODUCT_NAME ?= $(DEBIAN_SOURCE)
OFFICIAL_NAME := firefox
include debian/upstream.mk

ifneq (,$(filter wheezy jessie,$(BACKPORT)))
LESS_SYSTEM_LIBS = 1
endif

ifeq ($(BACKPORT),wheezy)
CC := gcc-4.7
CXX := g++-4.7
endif

OFFICIAL_BRANDING := browser/branding/official
ifeq ($(OFFICIAL_NAME),$(PRODUCT_NAME))
MOZILLA_OFFICIAL := 1
# ESR, Beta and Releases use the official branding
ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
BRANDING := $(OFFICIAL_BRANDING)
else
ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
BRANDING := browser/branding/aurora
else
ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
BRANDING := browser/branding/nightly
else
$(error $(OFFICIAL_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
endif
endif
endif

else
BRANDING := debian/branding
endif

include $(BRANDING)/configure.sh

GTK3 ?= $(shell grep -q _PLATFORM_DEFAULT_TOOLKIT=cairo-gtk3 configure.in && echo 1)

BRANDING_CONFIGURE_FLAG = $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))

GSTREAMER_VERSION = $(shell ( pkg-config gstreamer-1.0 && echo 1.0 ) || ( pkg-config gstreamer-0.10 && echo 0.10 ))

# Define PRODUCT, product and Product variables (replacing product with the
# actual value of $(PRODUCT))
$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
$(call uc,$(PRODUCT)) := $(call uc,$(subst ",,$(MOZ_APP_DISPLAYNAME)))
Product := $(strip $(eval __tmp := $(PRODUCT))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(PRODUCT:$(firstword $(__tmp))%=%))
$(Product) := $(subst ",,$(MOZ_APP_DISPLAYNAME))

LIB_DIR := /usr/lib/$($(PRODUCT))
SHARE_DIR := /usr/share/$($(PRODUCT))

LDFLAGS :=
# ld crashes for some files because of --as-needed :(
ifeq (,$(filter ia64,$(DEB_BUILD_ARCH)))
LDFLAGS += -Wl,--as-needed
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
# Somehow, this breaks the build on ia64.
ifeq (,$(filter ia64,$(DEB_BUILD_ARCH)))
LDFLAGS += -Wl,--no-keep-memory
endif
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

AUTOCONF_DIRS := build/autoconf

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifeq ($(DEB_BUILD_ARCH),ppc64)
	CFLAGS += -mminimal-toc
endif

ifneq (,$(filter kfreebsd-% hurd-%,$(DEB_BUILD_ARCH)))
	CONFIGURE_FLAGS += --disable-necko-wifi
endif

ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	CONFIGURE_FLAGS += --disable-ion
endif

ifneq (,$(filter armel,$(DEB_BUILD_ARCH)))
	CFLAGS += -D__ARM_PCS
endif

ifneq (,$(filter ia64,$(DEB_BUILD_ARCH)))
	CONFIGURE_FLAGS += --enable-optimize=-O2
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifeq (,$(filter debug noopt,$(DEB_BUILD_OPTIONS)))
	GENSYMBOLS_FLAGS := -c4
endif

ifeq (default,$(origin CC))
CC := gcc
endif
ifeq (default,$(origin CXX))
CXX := g++
endif

CXXFLAGS = $(CFLAGS)

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

debian/$($(PRODUCT)).xpm: stamps/build-$(PRODUCT)
	convert build-$(PRODUCT)/dist/bin/browser/chrome/icons/default/default32.png $@
GENERATED_FILES += debian/$($(PRODUCT)).xpm

IN_FILES := $(wildcard debian/*.in)
ifeq ($(OFFICIAL_NAME),$(PRODUCT_NAME))
IN_FILES := $(filter-out debian/$($(PRODUCT)).in,$(IN_FILES))
endif
preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control

$(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
$(call lazy,L10N_PACKAGES_DEPS,$$(shell echo $$(L10N_PACKAGES) | sed 's/ /, /g'))

debian/l10n/$(PRODUCT)-l10n.control: %: %.in
	$(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@

DICT_DIR := /usr/share/hunspell

$(PREPROCESSED_FILES): VARS = GRE_VERSION DICT_DIR $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) LESS_SYSTEM_LIBS GSTREAMER_VERSION SHORT_SOURCE_CHANNEL OFFICIAL_NAME GTK3 BACKPORT
debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT
$(PREPROCESSED_FILES):
	$(PYTHON) python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@

MAINTSCRIPTS := $(addprefix debian/,$(addsuffix .maintscript,$(shell awk -F/ '$$1 != "searchplugins" { next } $$2 == "locale" && $$3 != "en-US" { p="$($(PRODUCT))-l10n-" $$3 } $$2 == "common" || ($$2 "/" $$3 == "locale/en-US") { p="$($(PRODUCT))" } !done[p] { print p; done[p] = 1 }' debian/removed_conffiles)))

GENERATED_FILES += $(MAINTSCRIPTS)

debian/$($(PRODUCT)).maintscript: debian/removed_conffiles
	(grep -v searchplugins/locale $<; grep searchplugins/locale/en-US $<) | sed 's,^,rm_conffile /etc/$($(PRODUCT))/,' > $@

debian/$($(PRODUCT))-l10n-%.maintscript: debian/removed_conffiles
	grep -i searchplugins/locale/$* $< | sed 's,^,rm_conffile /etc/$($(PRODUCT))/,' > $@

%/package-manifest:
	$(MAKE) -C $*

override_dh_auto_configure:

stamps/prepare-configure:: stamps/dummy
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
		done; \
	done
	autoconf2.13
	cd js/src && autoconf2.13
	chmod 755 configure js/src/configure

stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.
	@awk -F' *# *| *$$' ' \
	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
	$$1 ~ /system/ { \
		if (! $$2) { \
			print FILENAME ": Missing variable for",$$1; \
			error=1; \
		} else { \
			split($$2,var,"="); \
			cmd = "grep -l " var[1] " " confs; \
			cmd | getline dir; \
			sub(/\/[^\/]*$$/, "", dir); \
			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
			cmd | getline value; \
			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
		} \
	} \
	END { if (error) { exit 1 }}' debian/$($(PRODUCT)).mozconfig

stamps/configure-$(PRODUCT):: stamps/prepare-configure debian/$($(PRODUCT)).mozconfig
	$(if $(wildcard build-$(PRODUCT)),,mkdir build-$(PRODUCT))
	cd build-$(PRODUCT) && \
	MOZCONFIG=$(CURDIR)/debian/$($(PRODUCT)).mozconfig \
	ASFLAGS="-g" \
	$(CONFIGURE_ENV) \
	../configure --target=$(DEB_HOST_GNU_TYPE) --host=$(DEB_BUILD_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
		--with-default-mozilla-five-home=$(LIB_DIR) \
		$(BRANDING_CONFIGURE_FLAG)

stamps/build-$(PRODUCT):: stamps/configure-check-$(PRODUCT)

=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
https://archive.mozilla.org/pub/mozilla.org/firefox/releases/latest/source/firefox-([\d\.]+)[\.-]source\.tar\.bz2 debian python debian/repack.py

## iceweasel 44.0.2

=== debian/changelog ===
iceweasel (44.0.2-1) unstable; urgency=medium

  * New upstream release
  * Fixes for mfsa2016-13, also known as CVE-2016-1949.

  * debian/control*:
    - Bump sqlite3 build dependency.
    - Bump Standards-Version. No changes required.
  * debian/copyright:
    - Rename all BSD-n licenses to BSD-n-clause.
    - Remove commas separating lines in Files and Copyright.
    - Fixup some lintian warnings.
  * debian/source/lintian-overrides: Add lintian overrides for various
    "errors" in the source package. See associated comments.
  * debian/rules: Avoid tar creating hard links with -h for symlinks pointing
    to the same file.
  * debian/browser.menu.in: Remove menu file.

 -- Mike Hommey <glandium@debian.org>  Sun, 14 Feb 2016 18:25:51 +0900

iceweasel (44.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2016-{01-04,06,09-11}, also known as:
    CVE-2016-1930, CVE-2016-1931, CVE-2016-1933, CVE-2016-1935,
    CVE-2016-1939, CVE-2016-1937, CVE-2016-1942, CVE-2016-1943,
    CVE-2016-1944, CVE-2016-1945, CVE-2016-1946, CVE-2016-1947.

  * js/src/jit/mips-shared/Architecture-mips-shared.h,
    js/src/jit/mips-shared/Assembler-mips-shared.*,
    js/src/jit/mips32/Architecture-mips32.*,
    js/src/jit/mips32/Assembler-mips32.*,
    js/src/jit/mips64/Architecture-mips64.*,
    js/src/jit/mips64/Assembler-mips64.*: Fix build failure on mipsel.
    bz#1213146.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Jan 2016 11:12:44 +0900

iceweasel (43.0.4-1) unstable; urgency=medium

  * New upstream release.

  * debian/removed_conffiles: Add profile/bookmarks.html to the list of
    removed conffiles. Closes: #809309.
  * debian/removed_conffiles*, debian/rules: Add @browser@rc to the list of
    removed conffiles. Closes: #809386.

 -- Mike Hommey <glandium@debian.org>  Fri, 08 Jan 2016 08:03:06 +0900

iceweasel (43.0.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/latest_nightly.py, debian/upstream.mk: Ensure aurora/nightly
    versions match the requested one for `debian/rules download`.

  * toolkit/mozapps/extensions/internal/XPIProvider.jsm: Simplify change
    allowing unsigned addons in /usr/{lib,share}/mozilla/extensions.
  * browser/components/migration/MigrationUtils.jsm,
    browser/components/nsBrowserGlue.js, browser/installer/package-manifest.in,
    browser/locales/Makefile.in: Move bookmarks.html to a chrome localized
    location. bz#1235107.
  * js/src/jit/mips-shared/Lowering-mips-shared.*,
    js/src/jit/mips32/Lowering-mips32.h: Move LIRGeneratorMIPS::visitRandom to
    architecture-specific: bz#1206591.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Dec 2015 16:45:41 +0900

iceweasel (43.0.1-1) experimental; urgency=medium

  * New upstream release.

  * toolkit/mozapps/extensions/content/extensions.js,
    toolkit/mozapps/extensions/internal/XPIProvider.jsm: Allow unsigned
    addons in /usr/{lib,share}/mozilla/extensions when upgrading as well,
    and avoid message about them not being verified in about:addons.
    Closes: #808228.
  * security/nss/lib/ckfw/builtins/certdata.txt: Remove the SPI Inc. and
    CAcert.org CA certificates for backports. The former was removed in
    NSS 3.21-1 and the latter in 3.16-1, and remained here largely
    overlooked.
  * media/webrtc/trunk/build/build_config.h: Add aarch64 macros. bz#1219566.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Dec 2015 12:15:56 +0900

iceweasel (43.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{134-149}, also known as:
    CVE-2015-7201, CVE-2015-7202, CVE-2015-7204, CVE-2015-7207,
    CVE-2015-7208, CVE-2015-7210, CVE-2015-7212, CVE-2015-7215,
    CVE-2015-7211, CVE-2015-7218, CVE-2015-7219, CVE-2015-7216,
    CVE-2015-7217, CVE-2015-7203, CVE-2015-7220, CVE-2015-7221,
    CVE-2015-7205, CVE-2015-7213, CVE-2015-7222, CVE-2015-7223,
    CVE-2015-7214.

  * debian/control*: Bump nss build dependency.
  * debian/rules:
    - Follow upstream default for Gtk+2 vs. Gtk+3 automatically.
    - Only extract defaults/{preferences,profile} from browser/omni.ja.
  * debian/browser.install.in: Don't install libdbusservice.so, it's gone.

  * toolkit/mozapps/extensions/internal/XPIProvider.jsm: Allow unsigned
    addons in /usr/{lib,share}/mozilla/extensions. Closes: #800150.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Dec 2015 10:56:36 +0900

iceweasel (42.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{116-118,121-123,127-132}, also known as:
    CVE-2015-4513, CVE-2015-4514, CVE-2015-4515, CVE-2015-4518,
    CVE-2015-7187, CVE-2015-7188, CVE-2015-7189, CVE-2015-7193,
    CVE-2015-7194, CVE-2015-7195, CVE-2015-7196, CVE-2015-7198,
    CVE-2015-7199, CVE-2015-7200, CVE-2015-7197.

  * debian/control*: Bump nspr, nss and sqlite build dependencies.
  * debian/browser.install.in:
    - Adapt to location change for the Gtk+2 wrapper library.
    - Install liblgpllibs.so.
  * debian/branding/content/Makefile.in: identity-icons-brand*.png were
    replaced by a svg.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 Nov 2015 09:08:45 +0900

iceweasel (41.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Fix for mfsa2015-115, also known as CVE-2015-7184.

 -- Mike Hommey <glandium@debian.org>  Fri, 16 Oct 2015 08:30:41 +0900

iceweasel (41.0.1-1) experimental; urgency=medium

  * New upstream release.

  * debian/watch: Update watch file to use https://archive.mozilla.org/ and xz
    archives.

  * toolkit/library/moz.build: Link libxul against libatomic when necessary.
    bz#1178266.

 -- Mike Hommey <glandium@debian.org>  Mon, 05 Oct 2015 09:38:16 +0900

iceweasel (41.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{96,98,102-112}, also known as:
    CVE-2015-4500, CVE-2015-4501, CVE-2015-4504, CVE-2015-4507,
    CVE-2015-4508, CVE-2015-4510, CVE-2015-4511, CVE-2015-4509,
    CVE-2015-4512, CVE-2015-4502, CVE-2015-4516, CVE-2015-4519,


=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 7.2.3),
-               gcc-4.7,
-               g++-4.7,
                autoconf2.13,
                libx11-dev,
                libxt-dev,
@@ -24,6 +22,10 @@
                python-minimal (>= 2.6.6-13~),
                python-ply,
                dpkg-dev (>= 1.16.1.1~),
+               libnspr4-dev (>= 2:4.10.10~),
+               libnss3-dev (>= 2:3.20.1~),
+               libsqlite3-dev (>= 3.9.1),
+               libvpx-dev (>= 1.3.0),
                libhunspell-dev (>= 1.2),
                libdbus-glib-1-dev,
                libasound2-dev [linux-any],
@@ -32,8 +34,8 @@
                libffi-dev,
                libevent-dev (>= 1.4.1),
                mesa-common-dev,
-               libgstreamer0.10-dev,
-               libgstreamer-plugins-base0.10-dev,
+               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
                libpulse-dev,
                yasm (>= 1.1),
                zip,
@@ -53,7 +55,7 @@
                  liboss4-salsa-dev,
                  libhildonmime-dev,
                  libosso-dev
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.7.0
 Vcs-Git: git://anonscm.debian.org/pkg-mozilla/iceweasel.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-mozilla/iceweasel.git
 
@@ -66,14 +68,13 @@
          debianutils (>= 1.16),
          libsqlite3-0 (>= 3.7.12-1~)
 Suggests: fonts-stix | otf-stix,
-          fonts-oflb-asana-math,
-          fonts-mathjax,
+          fonts-lmodern,
           mozplugger,
           libgssapi-krb5-2 | libkrb53,
           libgnomeui-0,
           libcanberra0
-Recommends: gstreamer0.10-ffmpeg,
-            gstreamer0.10-plugins-good
+Recommends: gstreamer1.0-libav,
+            gstreamer1.0-plugins-good
 Conflicts: j2re1.4,
            pango-graphite (<< 0.9.3)
 Breaks: xul-ext-torbutton
@@ -88,6 +89,8 @@
 Priority: extra
 Section: debug
 Depends: iceweasel (= ${binary:Version}),
+         libnss3-dbg | libnss3-1d-dbg,
+         libnspr4-dbg | libnspr4-0d-dbg,
          ${misc:Depends}
 Description: Debugging symbols for Iceweasel
  Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
@@ -101,6 +104,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python-ply,
+         libnss3-dev,
+         libnspr4-dev,
          iceweasel (= ${binary:Version})
 Conflicts: xulrunner-dev,
            firefox-dev
@@ -270,11 +275,3 @@
          iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
 Description: Bosnian language package for Iceweasel
  Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
- with support for modern web application technologies.
- .
- This package contains the localization of Iceweasel in Bosnian.
-
-Package: iceweasel-l10n-ca
-Architecture: all
-Section: localization
-Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -162,7 +162,7 @@
 $(PREPROCESSED_FILES):
 	$(PYTHON) python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@
 
-MAINTSCRIPTS := $(addprefix debian/,$(addsuffix .maintscript,$(shell awk -F/ '$$1 != "searchplugins" { next } $$2 == "locale" && $$3 != "en-US" { p="$($(PRODUCT))-l10n-" $$3 } $$2 == "common" || ($$2 "/" $$3 == "locale/en-US") { p="$($(PRODUCT))" } !done[p] { print p; done[p] = 1 }' debian/removed_conffiles)))
+MAINTSCRIPTS := $(addprefix debian/,$(addsuffix .maintscript,$(shell awk -F/ '$$1 != "searchplugins" { next } $$2 == "locale" && $$3 != "en-US" { p="$($(PRODUCT))-l10n-" $$3 } $$2 == "common" || ($$2 "/" $$3 == "locale/en-US") { p="$($(PRODUCT))" } !done[p] { print p; done[p] = 1 }' debian/removed_conffiles.in)))
 
 GENERATED_FILES += $(MAINTSCRIPTS)

=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
https://archive.mozilla.org/pub/mozilla.org/firefox/releases/latest/source/firefox-([\d\.]+)[\.-]source\.tar\.xz debian python debian/repack.py
